classification
Title: Update the list of magic numbers in launcher
Type: behavior Stage: resolved
Components: Windows Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: brett.cannon, eric.snow, ncoghlan, paul.moore, python-dev, serhiy.storchaka, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2016-01-10 07:49 by serhiy.storchaka, last changed 2016-05-16 16:35 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
launcher_magic_numbers.patch serhiy.storchaka, 2016-01-10 07:49 review
Messages (5)
msg257896 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-01-10 07:49
There is a list of magic numbers in PC/launcher.c for mapping magic number to Python version. But it ends on 3.3 (and even only on 3.3a0). Proposed patch updates the list (by values taken from Lib/importlib/_bootstrap_external.py).
msg258421 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-01-16 21:48
New changeset 1a2cfa52f749 by Steve Dower in branch '3.5':
Issue #26073: Update the list of magic numbers in launcher
https://hg.python.org/cpython/rev/1a2cfa52f749

New changeset cf868f77b400 by Steve Dower in branch 'default':
Issue #26073: Update the list of magic numbers in launcher
https://hg.python.org/cpython/rev/cf868f77b400
msg258422 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-01-16 21:50
Thanks!
msg265447 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-05-13 06:11
Steve, could you please add a comment in Lib/importlib/_bootstrap_external.py about the need to update PC/launcher.c?
msg265710 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-05-16 16:35
New changeset d921932fe02f by Steve Dower in branch '3.5':
Issue #26073: Updates magic number comment in _bootstrap_external.py and changes numbers in launcher.py to decimal to match official table.
https://hg.python.org/cpython/rev/d921932fe02f

New changeset 0fe913de4702 by Steve Dower in branch 'default':
Issue #26073: Updates magic number comment in _bootstrap_external.py and changes numbers in launcher.py to decimal to match official table.
https://hg.python.org/cpython/rev/0fe913de4702
History
Date User Action Args
2016-05-16 16:35:49python-devsetmessages: + msg265710
2016-05-13 06:11:26serhiy.storchakasetmessages: + msg265447
2016-01-16 21:50:02steve.dowersetstatus: open -> closed
messages: + msg258422

assignee: steve.dower
resolution: fixed
stage: patch review -> resolved
2016-01-16 21:48:52python-devsetnosy: + python-dev
messages: + msg258421
2016-01-10 07:49:53serhiy.storchakacreate